com.sun.mirror.apt

## Interface Messager

-     public interface Messager

  A `Messager` provides the way for an annotation processor to report error messages, warnings, and other notices.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printError(SourcePosition pos, String msg)` Prints an error message.
    `void` | `printError(String msg)` Prints an error message.
    `void` | `printNotice(SourcePosition pos, String msg)` Prints a notice.
    `void` | `printNotice(String msg)` Prints a notice.
    `void` | `printWarning(SourcePosition pos, String msg)` Prints a warning message.
    `void` | `printWarning(String msg)` Prints a warning message.

- - ### Method Detail

    - #### printError

          void printError(String msg)

      Prints an error message. Equivalent to `printError(null, msg)`.
      Parameters:
        `msg` - the message, or an empty string if none

    - #### printError

          void printError(SourcePosition pos,
                        String msg)

      Prints an error message.
      Parameters:
        `pos` - the position where the error occured, or null if it is unknown or not applicable
        `msg` - the message, or an empty string if none

    - #### printWarning

          void printWarning(String msg)

      Prints a warning message. Equivalent to `printWarning(null, msg)`.
      Parameters:
        `msg` - the message, or an empty string if none

    - #### printWarning

          void printWarning(SourcePosition pos,
                          String msg)

      Prints a warning message.
      Parameters:
        `pos` - the position where the warning occured, or null if it is unknown or not applicable
        `msg` - the message, or an empty string if none

    - #### printNotice

          void printNotice(String msg)

      Prints a notice. Equivalent to `printNotice(null, msg)`.
      Parameters:
        `msg` - the message, or an empty string if none

    - #### printNotice

          void printNotice(SourcePosition pos,
                         String msg)

      Prints a notice.
      Parameters:
        `pos` - the position where the noticed occured, or null if it is unknown or not applicable
        `msg` - the message, or an empty string if none

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.